/*
 * project.h
 *
 * Author: Bernd Esser <Bernd.Esser@testnetz.detecon.net>
 *
 * $Id: project.h,v 1.1 1999/02/21 13:41:57 ga58 Exp $
 *
 * $Log: project.h,v $
 * Revision 1.1  1999/02/21 13:41:57  ga58
 *  - Version 3.29
 *
 * Revision 1.2  1999/01/24 20:23:00  ga58
 *  - Beta version 3.23
 *
 * Revision 1.1  1999/01/17 20:02:22  ga58
 *  - nearly complete rewrite of titrax and all its modules
 *
 */

#ifndef project_h
#define project_h

extern void Start(Int slot);
extern void Stop(Int slot);

extern ULong TotalElapsed(Int slot);

extern ULong SumElapsed(void);

extern Int ActiveSlot(void);
extern void SetActiveSlot(Int slot);

extern Boolean SlotIsEmpty(Int slot);
extern Boolean NoteIsEmpty(Int slot);

extern void SwapSlots(Int slot1, Int slot2);

extern void ChangeTime(Int slot, Long amount);
extern void ShiftTime(Int from, Int to, Long amount);

extern void CalculateMinMaxChangeAmount(Int slot, Long* minAmount, Long* maxAmount);
extern void CalculateMinMaxShiftAmount(Int from, Int to, Long* minAmount, Long* maxAmount);

#endif
