/*
 * slotDBUtil: database utility routines used by all slot db modules.
 *
 * Author: Bernd Esser <Bernd.Esser@testnetz.detecon.net>
 *
 * $Id: slotDBUtil.h,v 1.1 1999/02/21 13:41:57 ga58 Exp $
 *
 * $Log: slotDBUtil.h,v $
 * Revision 1.1  1999/02/21 13:41:57  ga58
 *  - Version 3.29
 *
 * Revision 1.3  1999/01/31 19:05:15  ga58
 *  - Version 3.25. New layout for the time boxes and version info for the
 *    databases.
 *
 * Revision 1.2  1999/01/30 19:08:20  ga58
 *  - Version 3.24. Dynamically resizable number of project slots.
 *
 * Revision 1.1  1999/01/24 20:23:05  ga58
 *  - Beta version 3.23
 *
 */

#ifndef slotDBUtil_h
#define slotDBUtil_h

extern void OpenDatabase(DmOpenRef* db, CharPtr dbName, ULong dbType, ULong appType, VoidHand* hand, VoidPtr* ptr, UInt recordLen, UInt version);

extern void CloseDatabase(DmOpenRef db, VoidHand* hand);

#endif
