/*
 * slotNameList: utility routines for the handling of a list of all non-empty slots
 *
 * Author: Bernd Esser <Bernd.Esser@testnetz.detecon.net>
 *
 * $Id: slotNameList.h,v 1.1 1999/02/21 13:41:57 ga58 Exp $
 *
 * $Log: slotNameList.h,v $
 * Revision 1.1  1999/02/21 13:41:57  ga58
 *  - Version 3.29
 *
 * Revision 1.2  1999/01/30 19:08:26  ga58
 *  - Version 3.24. Dynamically resizable number of project slots.
 *
 * Revision 1.1  1999/01/24 20:23:05  ga58
 *  - Beta version 3.23
 *
 */

#ifndef slotNameList_h
#define slotNameList_h

extern void OpenSlotNameList(void);
extern void CloseSlotNameList(void);

extern void SlotNameListUpdate(void);

extern Int SlotNameListNumOfEntries(void);

extern CharPtr* SlotNameListP(void);

extern Int SlotNameListNumToSlot(Int listNum);
extern Int SlotNameListSlotToListNum(Int slot);

#endif
