//
// titraxConst.h
//

// this is the length of the database field for the project name. Can be set to
// arbitrary values, but higher values increase the size of the database.
#define MAXTEXT 100

// maximal number of project slots. Can be set to arbitrary values, but higher values
// increase the size of the database and the size of the used heap.
#define MAXSLOT 999

// the default number of slots, used when the program is installed the first time
#define DEFSLOT 50

// number of visible slots on the display. Cannot be changed.
#define VISSLOT 11

// number of columns in the table. Cannot be changed.
#define MAXCOL 3

// full width of one table row
#define FULLW 146

// width of the column, displaying the elapsed time
#define TIMEW 36

// width of the column, displaying the note symbol
#define NOTEW 6

// extra space between the columns
#define SPACE 3

// width of the column, displaying the project name
#define BUTTONW FULLW-TIMEW-SPACE-NOTEW

