/*
 * Titrax utility subroutines
 *
 * $Id: titraxUtil.h,v 1.1 1999/02/21 13:41:57 ga58 Exp $
 *
 * $Log: titraxUtil.h,v $
 * Revision 1.1  1999/02/21 13:41:57  ga58
 *  - Version 3.29
 *
 * Revision 1.3  1999/01/31 19:05:27  ga58
 *  - Version 3.25. New layout for the time boxes and version info for the
 *    databases.
 *
 * Revision 1.2  1999/01/24 20:23:18  ga58
 *  - Beta version 3.23
 *
 * Revision 1.1  1998/12/30 10:27:57  ga58
 * Last changes for the new layout
 *
 * Revision 1.1  1998/12/29 10:10:26  ga58
 * Titrax v3.17 in the new directory
 *
 * Revision 3.6  1998/05/15 16:20:23  ga58
 *  - no visible changes
 *
 * Revision 3.5  1998/04/26 09:03:29  ga58
 *  - finished the conversion to a shared library version
 * CVS:
 * CVS:
 *
 * Revision 3.4  1998/04/19 15:44:31  ga58
 * This is the first branch of the 3.x series of titrax. Most of the new
 * features and code changes are described in the NEWS file.
 * CVS:
 * CVS:
 *
 * Revision 2.5  1998/04/12 09:31:10  ga58
 *  - a lot of minor changes in the UI
 *  - a lot of minor changes in the code
 *  - added new options
 * CVS:
 * CVS:
 *
 * Revision 2.4  1998/04/04 15:26:36  ga58
 * version 2.4
 * CVS:
 * CVS:
 *
 * Revision 1.1  1998/04/04 15:24:12  ga58
 * fist version in CVS
 * CVS:
 *
 * Revision 1.1.1.1  1998/04/04 15:04:07  ga58
 * first version
 *
 * Revision 1.4  1998/02/14 12:16:50  ga58
 * changed SaveData, seems to work now
 *
 * Revision 1.3  1997/11/23 20:08:59  ga58
 * *** empty log message ***
 *
 * Revision 1.2  1997/11/15 17:59:29  ga58
 * *** empty log message ***
 *
 * Revision 1.1  1997/11/14 17:51:04  ga58
 * Initial revision
 *
 */

#ifndef titraxUtil_h
#define titraxUtil_h

extern CharPtr TimeToString(ULong t, CharPtr str, Int strLen);

extern void TimeString(CharPtr str, ULong time);
extern void DateString(CharPtr str, ULong time);

extern void TrimToLength(CharPtr text, FontID font, Int len);
extern void ExpandLeftToLength(CharPtr text, Int strLen, Int len);

#endif
