/*
 * drawDigits: helper functions
 *
 * Author: Bernd Esser <Bernd.Esser@testnetz.detecon.net>
 * 
 * $Id: drawDigits.c,v 1.1 1999/02/21 13:41:56 ga58 Exp $
 *
 * $Log: drawDigits.c,v $
 * Revision 1.1  1999/02/21 13:41:56  ga58
 *  - Version 3.29
 *
 * Revision 1.3  1999/01/31 19:05:04  ga58
 *  - Version 3.25. New layout for the time boxes and version info for the
 *    databases.
 *
 */

#include "titraxAll.h"
#include "titraxUtil.h"
#include "drawDigits.h"

#define timeStrLen 40
static Char timeStr[timeStrLen + 1];

VoidPtr
GOP(Int ObjectID)
{
  FormPtr frm = FrmGetActiveForm();

  return FrmGetObjectPtr(frm, FrmGetObjectIndex(frm, ObjectID));
}

/*
 * Helper function: draw the given time into the label of a button
 */
void
DrawDigits(ULong time, ULong id, Int pixWidth, FontID font)
{
  FontID oldFont = FntSetFont(font);

  ExpandLeftToLength(TimeToString(time, timeStr, timeStrLen), timeStrLen, pixWidth);
  CtlSetLabel(GOP(id), timeStr);

  FntSetFont(oldFont);
}
