/*
 * Memopad interface functions for titrax
 *
 * Author: Bernd Esser <Bernd.Esser@testnetz.detecon.net>
 *
 * $Id: memopad.h,v 1.1 1999/02/21 13:41:57 ga58 Exp $
 * 
 * $Log: memopad.h,v $
 * Revision 1.1  1999/02/21 13:41:57  ga58
 *  - Version 3.29
 *
 * Revision 1.1  1999/01/17 20:02:20  ga58
 *  - nearly complete rewrite of titrax and all its modules
 *
 */

#ifndef memopad_h
#define memopad_h

extern void MemopadOpenDB(void);
extern void MemopadCloseDB(void);

extern Boolean MemopadUidxToIdx(ULong uidx, Int* idxP);

extern void MemopadSetRecordToCategory(UInt idx, CharPtr categoryName);

extern ULong MemopadCreateRecordInCategory(Int* idxP, Int size, CharPtr categoryName);
extern void MemopadRemoveRecord(Int idx);

extern VoidHand MemopadGetRecordHandle(Int idx);
extern VoidHand MemopadQueryRecordHandle(Int idx);
extern VoidHand MemopadResizeRecordHandle(Int idx, Int newSize);
extern void MemopadReleaseRecordHandle(Int idx, Boolean dirty);

#endif
