/*
 * slotNote.h
 *
 * database subroutines for titrax project names
 *
 * Author: Bernd Esser <Bernd.Esser@testnetz.detecon.net>
'
 * $Id: slotNote.h,v 1.1 1999/02/21 13:41:57 ga58 Exp $
 *
 * $Log: slotNote.h,v $
 * Revision 1.1  1999/02/21 13:41:57  ga58
 *  - Version 3.29
 *
 * Revision 1.2  1999/01/30 19:08:28  ga58
 *  - Version 3.24. Dynamically resizable number of project slots.
 *
 * Revision 1.1  1999/01/24 20:23:05  ga58
 *  - Beta version 3.23
 *
 */

#ifndef slotNote_h
#define slotNote_h

extern void OpenSlotNoteDatabase(void);
extern void CloseSlotNoteDatabase(void);

extern void GetSlotNote(Int slot, CharPtr charP, Int maxLen);
extern CharPtr SlotNote(Int slot);
extern void SetSlotNote(Int slot, CharPtr charP);

extern Handle SlotNoteHandleGet(Int slot);
extern void SlotNoteHandleRelease(Int slot);

extern void SwapSlotNote(Int slot1, Int slot2);

#endif
