/*
 * titraxCommands: common subroutines for the titrax main form
 *
 * Author: Bernd Esser <Bernd.Esser@testnetz.detecon.net>
 *
 * $Id: titraxCommands.h,v 1.1 1999/06/03 12:04:56 ga58 Exp $
 *
 * $Log: titraxCommands.h,v $
 * Revision 1.1  1999/06/03 12:04:56  ga58
 *  - Version 3.32
 *
 */

#ifndef titraxCommands_h
#define titraxCommands_h

enum commands {saveAll = 0, clearAll = 1, removeAll = 2, changeTime = 3, shiftTime = 4,
					clear = 5, remove = 6, changeName = 7, editNote = 8, startStop = 9, 
					changeTime2 = 10, shiftTime2 = 11, clear2 = 12, remove2 = 13, 
					changeName2 = 14};

extern void UpdateProjectListButton(void);
extern void UpdateSumTimeButton(void);

extern void UpdateSlot(Int slot);
extern void UpdateActiveSlot(void);
extern void UpdateAllSlots(void);

extern void StopAndUpdate(Int slot);
extern void StartAndUpdate(Int slot);

extern void DoCommand(enum commands commandCode, Int slot);

#endif
